Skip to content

Get Checklist

Request

Get a checklist with each item's questions: the properties of the item definition version an evaluation of the item uses now. Use them to read an evaluation's result by name, type and order.

Security
bearer
Path
checklistIdstringrequired
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/checklist/{checklistId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
idstring, (uuid)required
namestringrequired

Display name of the checklist.

sortOrdernumberrequired

Order in which the checklist is displayed.

itemsArray of objects(ChecklistItemWithQuestions)required

Items in the checklist, by sortOrder, each with its questions.

Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "sortOrder": 0, "items": [ { … } ] }